<?php

namespace App\Imports;

use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class MultiUnitsSheetImport implements WithMultipleSheets
{
    protected $successfulRows;
    protected $failedRows;

    public function __construct(&$successfulRows, &$failedRows)
    {
        $this->successfulRows = &$successfulRows;
        $this->failedRows = &$failedRows;
    }

    public function sheets(): array
    {
        return [
            'import_multi_satuan' => new MultiUnitsImport($this->successfulRows, $this->failedRows),
        ];
    }
}
